1.15.2 Error compiling plugin

Discussion in 'Spigot Plugin Development' started by Dimo4ka, Jan 23, 2020.

  1. I am new to plugin coding, so I don’t understand how to fix my mistake. I am trying to compile this class file which worked on 1.14.4, but does not work on 1.15.
    When compiling, I get 2 errors, I attach screenshots of them below. I would be very grateful if someone fixed the errors due to which it is not possible to compile the class file, and would send the corrected version, thank you very much in advance, you are the best!

    https://pastebin.com/EEuZ1a75
    444.jpg
    unnamed.jpg
     
  2. Those EntityPlayer#e with those parameters doesn’t exist in the new NMS version. Just dig through the code for EntityPlayer to find the new method.